Create VICAL
Roles
/v1/ecosystems/{ecosystemId}/vicalsCreates a Verified Issuer Certificate Authority List (VICAL) based on the policy of the requested ecosystem. Refer to VICAL to learn more about the VICAL purpose and data structure.
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidResponse Body
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals"{
"vicalIssueID": 1337,
"date": "2024-07-28T23:01:13.000Z"
}How would you rate this page?
Retrieve verifier policy by ID GET
Retrieves a specific published ecosystem verifier policy by providing the ecosystem ID and the verifier policy ID. The verifier policy ID is the `id` returned when a policy is published, and is also included in the response from the [Retrieve latest verifier policy](#operation/getLatestVerifierPolicy) endpoint. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_VERIFIER_POLICY_RETRIEVE_START * ECOSYSTEM_VERIFIER_POLICY_RETRIEVE_SUCCESS * ECOSYSTEM_VERIFIER_POLICY_RETRIEVE_FAIL
Retrieve all VICALs GET
Retrieves all VICALs available in the requested ecosystem. This endpoint is intended for public consumption, and as such does not require authentication.